"""add constraints to organization

Revision ID: 863c807f22bd
Revises: a420a842a5b6
Create Date: 2022-04-20 12:27:05.017439+02:00

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "863c807f22bd"
down_revision = "a420a842a5b6"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_organization_id", table_name="organization")
    op.create_index(op.f("ix_organization_id"), "organization", ["id"], unique=True)
    op.drop_index("ix_organization_name", table_name="organization")
    op.create_index(op.f("ix_organization_name"), "organization", ["name"], unique=True)
    op.create_unique_constraint("uc_name_id", "organization", ["name", "id"])
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("uc_name_id", "organization", type_="unique")
    op.drop_index(op.f("ix_organization_name"), table_name="organization")
    op.create_index("ix_organization_name", "organization", ["name"], unique=False)
    op.drop_index(op.f("ix_organization_id"), table_name="organization")
    op.create_index("ix_organization_id", "organization", ["id"], unique=False)
    # ### end Alembic commands ###
